gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.StockItem

Contents

- Exported types
- Methods
  - free
- Properties
  - keyval
  - label
  - modifier
  - stockId
  - translationDomain

Description

No description available in the introspection data.

Synopsis

- newtype StockItem = StockItem (ManagedPtr StockItem)
- newZeroStockItem :: MonadIO m => m StockItem
- stockItemFree :: (HasCallStack, MonadIO m) => StockItem -> m ()
- getStockItemKeyval :: MonadIO m => StockItem -> m Word32
- setStockItemKeyval :: MonadIO m => StockItem -> Word32 -> m ()
- clearStockItemLabel :: MonadIO m => StockItem -> m ()
- getStockItemLabel :: MonadIO m => StockItem -> m (Maybe Text)
- setStockItemLabel :: MonadIO m => StockItem -> CString -> m ()
- getStockItemModifier :: MonadIO m => StockItem -> m [ModifierType]
- setStockItemModifier :: MonadIO m => StockItem -> [ModifierType] -> m ()
- clearStockItemStockId :: MonadIO m => StockItem -> m ()
- getStockItemStockId :: MonadIO m => StockItem -> m (Maybe Text)
- setStockItemStockId :: MonadIO m => StockItem -> CString -> m ()
- clearStockItemTranslationDomain :: MonadIO m => StockItem -> m ()
- getStockItemTranslationDomain :: MonadIO m => StockItem -> m (Maybe Text)
- setStockItemTranslationDomain :: MonadIO m => StockItem -> CString -> m ()

# Exported types

newtype StockItem Source #

Memory-managed wrapper type.

Constructors

StockItem (ManagedPtr StockItem) |

#### Instances

Instances details

Eq StockItem Source # |
Instance details Defined in GI.Gtk.Structs.StockItem Methods (==) :: StockItem -> StockItem -> Bool Source # (/=) :: StockItem -> StockItem -> Bool Source #
BoxedPtr StockItem Source # |
Instance details Defined in GI.Gtk.Structs.StockItem Methods boxedPtrCopy :: StockItem -> IO StockItem Source # boxedPtrFree :: StockItem -> IO () Source #
CallocPtr StockItem Source # |
Instance details Defined in GI.Gtk.Structs.StockItem Methods boxedPtrCalloc :: IO (Ptr StockItem) Source #
ManagedPtrNewtype StockItem Source # |
Instance details Defined in GI.Gtk.Structs.StockItem Methods toManagedPtr :: StockItem -> ManagedPtr StockItem Source #
tag ~ 'AttrSet => Constructible StockItem tag Source # |
Instance details Defined in GI.Gtk.Structs.StockItem Methods new :: MonadIO m => (ManagedPtr StockItem -> StockItem) -> [AttrOp StockItem tag] -> m StockItem Source #

newZeroStockItem :: MonadIO m => m StockItem Source #

Construct a `StockItem` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

free.

#### Getters

None.

#### Setters

None.

## free

stockItemFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> StockItem | `item`: a `StockItem`
-> m () |

Deprecated: (Since version 3.10)

Frees a stock item allocated on the heap, such as one returned by `gtk_stock_item_copy()`. Also frees the fields inside the stock item, if they are not `Nothing`.

# Properties

## keyval

Keyboard accelerator

getStockItemKeyval :: MonadIO m => StockItem -> m Word32 Source #

Get the value of the “`keyval`” field. When overloading is enabled, this is equivalent to

    get stockItem #keyval

setStockItemKeyval :: MonadIO m => StockItem -> Word32 -> m () Source #

Set the value of the “`keyval`” field. When overloading is enabled, this is equivalent to

    set stockItem [ #keyval := value ]

## label

User visible label.

clearStockItemLabel :: MonadIO m => StockItem -> m () Source #

Set the value of the “`label`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #label

getStockItemLabel :: MonadIO m => StockItem -> m (Maybe Text) Source #

Get the value of the “`label`” field. When overloading is enabled, this is equivalent to

    get stockItem #label

setStockItemLabel :: MonadIO m => StockItem -> CString -> m () Source #

Set the value of the “`label`” field. When overloading is enabled, this is equivalent to

    set stockItem [ #label := value ]

## modifier

Modifier type for keyboard accelerator

getStockItemModifier :: MonadIO m => StockItem -> m [ModifierType] Source #

Get the value of the “`modifier`” field. When overloading is enabled, this is equivalent to

    get stockItem #modifier

setStockItemModifier :: MonadIO m => StockItem -> [ModifierType] -> m () Source #

Set the value of the “`modifier`” field. When overloading is enabled, this is equivalent to

    set stockItem [ #modifier := value ]

## stockId

Identifier.

clearStockItemStockId :: MonadIO m => StockItem -> m () Source #

Set the value of the “`stock_id`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #stockId

getStockItemStockId :: MonadIO m => StockItem -> m (Maybe Text) Source #

Get the value of the “`stock_id`” field. When overloading is enabled, this is equivalent to

    get stockItem #stockId

setStockItemStockId :: MonadIO m => StockItem -> CString -> m () Source #

Set the value of the “`stock_id`” field. When overloading is enabled, this is equivalent to

    set stockItem [ #stockId := value ]

## translationDomain

Translation domain of the menu or toolbar item

clearStockItemTranslationDomain :: MonadIO m => StockItem -> m () Source #

Set the value of the “`translation_domain`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #translationDomain

getStockItemTranslationDomain :: MonadIO m => StockItem -> m (Maybe Text) Source #

Get the value of the “`translation_domain`” field. When overloading is enabled, this is equivalent to

    get stockItem #translationDomain

setStockItemTranslationDomain :: MonadIO m => StockItem -> CString -> m () Source #

Set the value of the “`translation_domain`” field. When overloading is enabled, this is equivalent to

    set stockItem [ #translationDomain := value ]